| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Spectrogram Class Reference
Algo

Spectrogram calculates the spectrogram of a N-dimensional signal. The spectrogram is the square of the absolute values of the FourierTransform, and is the 'traditional' way to view a signal's frequency distribution. More...

`#include <spectrogram.h>`

## Public Member Functions
| Spectrogram ()
| ~Spectrogram ()
bool | biDirectional () const
bool | complex2complex () const
bool | complex2real () const
bool | getDir () const
const ArrayNDInfo & | getInputInfo () const
bool | init ()
bool | real2complex () const
bool | real2real () const
bool | setDir (bool fwd)
bool | setInputInfo (const ArrayNDInfo &ni)
bool | transform (const ArrayND< float > &, ArrayND< float > &)
bool | transform (const ArrayND< float_complex > &, ArrayND< float_complex > &)

## Protected Member Functions
bool | isFast (int sz) const
bool | isPossible (int) const

## Protected Attributes
Fourier::CC * | fft_
ArrayND< float_complex > * | tempin_
ArrayND< float_complex > * | tempout_

## Detailed Description

Spectrogram calculates the spectrogram of a N-dimensional signal. The spectrogram is the square of the absolute values of the FourierTransform, and is the 'traditional' way to view a signal's frequency distribution.

Spectrogram is not reversible.

<>

## Constructor & Destructor Documentation

## ◆ Spectrogram()

Spectrogram::Spectrogram | ( |  | ) |

## ◆ ~Spectrogram()

Spectrogram::~Spectrogram | ( |  | ) |

## Member Function Documentation

## ◆ biDirectional()

bool Spectrogram::biDirectional | ( |  | ) | const
| inline

## ◆ complex2complex()

bool Spectrogram::complex2complex | ( |  | ) | const
| inline

## ◆ complex2real()

bool Spectrogram::complex2real | ( |  | ) | const
| inline

## ◆ getDir()

bool Spectrogram::getDir | ( |  | ) | const
| inline

## ◆ getInputInfo()

const ArrayNDInfo & Spectrogram::getInputInfo | ( |  | ) | const

## ◆ init()

bool Spectrogram::init | ( |  | ) |

## ◆ isFast()

bool Spectrogram::isFast | ( | int | sz | ) | const
| inline protected

## ◆ isPossible()

bool Spectrogram::isPossible | ( | int |  | ) | const
| inline protected

## ◆ real2complex()

bool Spectrogram::real2complex | ( |  | ) | const
| inline

## ◆ real2real()

bool Spectrogram::real2real | ( |  | ) | const
| inline

## ◆ setDir()

bool Spectrogram::setDir | ( | bool | fwd | ) |
| inline

## ◆ setInputInfo()

bool Spectrogram::setInputInfo | ( | const ArrayNDInfo & | ni | ) |

## ◆ transform() [1/2]

bool Spectrogram::transform | ( | const ArrayND< float > & | ,
|  | ArrayND< float > & | )

## ◆ transform() [2/2]

bool Spectrogram::transform | ( | const ArrayND< float_complex > & | ,
|  | ArrayND< float_complex > & | )

## Member Data Documentation

## ◆ fft_

Fourier::CC* Spectrogram::fft_
| protected

## ◆ tempin_

ArrayND<float_complex>* Spectrogram::tempin_
| protected

## ◆ tempout_

ArrayND<float_complex>* Spectrogram::tempout_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025